[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# DeleteCriticalSection

Deletes an un-owned critical section.

## Declaration

Source position: winapih.inc line 74

`procedure DeleteCriticalSection(`
`var CritSection: TCriticalSection`
`);`

## Errors

Results are unpredictable when the section is owned, i. e. has been entered but not yet exited.